Arch Floor/ja: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Arch Floor|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building]], [[Arch Site]]}}
{{GuiCommand|Name=Arch Floor|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building]], [[Arch Site]]}}
</div>


==説明==
==説明==
Line 8: Line 10:
==使用方法==
==使用方法==


<div class="mw-translate-fuzzy">
#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します
#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します
#{{KEY | [[Image:Arch Floor.png | 16px]] '''Arch Floor'''}}ボタンを押すか、{{KEY | F}}、その後{{KEY | L}}キーを押します
#{{KEY | [[Image:Arch Floor.png | 16px]] '''Arch Floor'''}}ボタンを押すか、{{KEY | F}}、その後{{KEY | L}}キーを押します
</div>


==オプション==
==オプション==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.


==プロパティ==
==プロパティ==
Line 20: Line 24:
* {{PropertyData|Height}}: The height of the floor, to be used by its child objects
* {{PropertyData|Height}}: The height of the floor, to be used by its child objects


<div class="mw-translate-fuzzy">
==スクリプト処理==
==スクリプト処理==
</div>


<div class="mw-translate-fuzzy">
Floorツールは、[[macros|macros]]/[[マクロ|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
Floorツールは、[[macros|macros]]/[[マクロ|マクロ]]やPythonコンソールから次の関数を使って使うことができます:
</div>
{{Code|code=
{{Code|code=
makeFloor ([objectslist])
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
}}
}}

creates a floor including the objects from the given list.
* Creates a {{incode|Floor}} object from {{incode|objectslist}}, which is a list of objects.


例題:
例題:
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch
Arch.makeFloor()
}}


p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}
<div class="mw-translate-fuzzy">
[[Category:Arch]]
[[Category:Arch]]
</div>

Revision as of 17:36, 30 January 2019

Arch Floor

Menu location
Arch → Floor
Workbenches
Arch
Default shortcut
F L
Introduced in version
-
See also
Arch Building, Arch Site

説明

Arch Floorは床を作成するのに特に便利な追加プロパティを持った特殊なタイプのArch Cellです。特徴的なのがheightプロパティを持っていることで、その子オブジェクト(骨組み)ではそれを使ってその高さを自動で設定することができます。

使用方法

#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します # 16px Arch Floorボタンを押すか、 F、その後 Lキーを押します

オプション

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

プロパティ

  • データHeight: The height of the floor, to be used by its child objects

スクリプト処理

Floorツールは、macros/マクロやPythonコンソールから次の関数を使って使うことができます:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

例題:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()